This queue is for tickets about the SMS-MessageBird CPAN distribution.

Report information
The Basics
Id:
132251
Status:
resolved
Priority:
Low/Low

People
Owner:
Nobody in particular
Requestors:
nico [...] vossies.nu
Cc:
AdminCc:

BugTracker
Severity:
(no value)
Broken in:
(no value)
Fixed in:
(no value)



Subject: malformed JSON string
Date: Sat, 28 Mar 2020 14:08:51 +0100
To: bug-SMS-MessageBird@rt.cpan.org
From: Nico Vos <nico@vossies.nu>
Hello i am trying to send an sms via messagebird but i am getting an error message: malformed JSON string, neither tag, array, object, number, string or atom, at character offset 0 (before "LWP will support htt...") at /usr/local/share/perl/5.22.1/SMS/MessageBird/API.pm line 157. perl --version This is perl 5, version 22, subversion 1 (v5.22.1) built for aarch64-linux-gnu-thread-multi Test code #!/usr/bin/perl # use SMS::Send; use SMS::Send::MessageBird; my $messagebird = SMS::Send->new( 'MessageBird',     _api_key    => ' ... ',     _originator => 'James Bond', ); $messagebird->send_sms(     text => 'Hi, How are you?',     to   => ' ... ', ); on another system the test script is running fine. Regards Nico Vos
On Sat Mar 28 13:15:13 2020, nico@vossies.nu wrote:
Show quoted text
> Hello i am trying to send an sms via messagebird but i am getting an > error message: > > malformed JSON string, neither tag, array, object, number, string or > atom, at character offset 0 (before "LWP will support htt...") at > /usr/local/share/perl/5.22.1/SMS/MessageBird/API.pm line 157. > > perl --version > This is perl 5, version 22, subversion 1 (v5.22.1) built for > aarch64-linux-gnu-thread-multi > > Test code > #!/usr/bin/perl > # > use SMS::Send; > use SMS::Send::MessageBird; > > my $messagebird = SMS::Send->new( 'MessageBird', >     _api_key    => ' ... ', >     _originator => 'James Bond', > ); > > $messagebird->send_sms( >     text => 'Hi, How are you?', >     to   => ' ... ', > ); > > on another system the test script is running fine. > > Regards > Nico Vos
"LWP will support https URLs if the LWP::Protocol::https module is installed" https://metacpan.org/source/LWP::UserAgent#L196
Subject: Re: [rt.cpan.org #132251] malformed JSON string
Date: Sun, 29 Mar 2020 10:37:51 +0200
To: bug-SMS-MessageBird@rt.cpan.org
From: Nico Vos <nico@vossies.nu>
Yea got it working :) Thank you verry much. Op 29-3-2020 om 09:34 schreef Martin McGrath via RT:
Show quoted text
> <URL: https://rt.cpan.org/Ticket/Display.html?id=132251 > > > On Sat Mar 28 13:15:13 2020, nico@vossies.nu wrote:
>> Hello i am trying to send an sms via messagebird but i am getting an >> error message: >> >> malformed JSON string, neither tag, array, object, number, string or >> atom, at character offset 0 (before "LWP will support htt...") at >> /usr/local/share/perl/5.22.1/SMS/MessageBird/API.pm line 157. >> >> perl --version >> This is perl 5, version 22, subversion 1 (v5.22.1) built for >> aarch64-linux-gnu-thread-multi >> >> Test code >> #!/usr/bin/perl >> # >> use SMS::Send; >> use SMS::Send::MessageBird; >> >> my $messagebird = SMS::Send->new( 'MessageBird', >>     _api_key    => ' ... ', >>     _originator => 'James Bond', >> ); >> >> $messagebird->send_sms( >>     text => 'Hi, How are you?', >>     to   => ' ... ', >> ); >> >> on another system the test script is running fine. >> >> Regards >> Nico Vos
> "LWP will support https URLs if the LWP::Protocol::https module > is installed" > > https://metacpan.org/source/LWP::UserAgent#L196 > >
On Sun Mar 29 09:38:02 2020, nico@vossies.nu wrote:
Show quoted text
> Yea got it working :) > Thank you verry much. > > > Op 29-3-2020 om 09:34 schreef Martin McGrath via RT:
> > <URL: https://rt.cpan.org/Ticket/Display.html?id=132251 > > > > > On Sat Mar 28 13:15:13 2020, nico@vossies.nu wrote:
> >> Hello i am trying to send an sms via messagebird but i am getting an > >> error message: > >> > >> malformed JSON string, neither tag, array, object, number, string or > >> atom, at character offset 0 (before "LWP will support htt...") at > >> /usr/local/share/perl/5.22.1/SMS/MessageBird/API.pm line 157. > >> > >> perl --version > >> This is perl 5, version 22, subversion 1 (v5.22.1) built for > >> aarch64-linux-gnu-thread-multi > >> > >> Test code > >> #!/usr/bin/perl > >> # > >> use SMS::Send; > >> use SMS::Send::MessageBird; > >> > >> my $messagebird = SMS::Send->new( 'MessageBird', > >>     _api_key    => ' ... ', > >>     _originator => 'James Bond', > >> ); > >> > >> $messagebird->send_sms( > >>     text => 'Hi, How are you?', > >>     to   => ' ... ', > >> ); > >> > >> on another system the test script is running fine. > >> > >> Regards > >> Nico Vos
> > "LWP will support https URLs if the LWP::Protocol::https module > > is installed" > > > > https://metacpan.org/source/LWP::UserAgent#L196 > > > >
I've raised a PR to add the prerequisite.
Thank you both. Martin's PR has been merged and release 0.04 has just gone out to CPAN. https://metacpan.org/release/JAMESR/SMS-MessageBird-0.04 Appreciate your feedback and input! JAMESR


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.